import 'package:json_annotation/json_annotation.dart';

part 'iban.g.dart';


@JsonSerializable()
class IbanPaymentDataDTO {
  final String iban;
  final String accountHolder;
  final String? bic;
  final String? bankName;

  const IbanPaymentDataDTO({
    required this.iban,
    required this.accountHolder,
    this.bic,
    this.bankName,
  });

  factory IbanPaymentDataDTO.fromJson(Map<String, dynamic> json) => _$IbanPaymentDataDTOFromJson(json);
  Map<String, dynamic> toJson() => _$IbanPaymentDataDTOToJson(this);
}
